Package io.vertx.rxjava3.ext.web.sstore

## Class ClusteredSessionStore

- java.lang.Object
- - io.vertx.rxjava3.ext.web.sstore.SessionStore
  - - io.vertx.rxjava3.ext.web.sstore.ClusteredSessionStore

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ClusteredSessionStore
      extends SessionStore
      implements io.vertx.lang.rx.RxDelegate

  A session store which stores sessions in a distributed map so they are available across the cluster.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ClusteredSessionStore>` | `__TYPE_ARG` |
    `static long` | `DEFAULT_RETRY_TIMEOUT` | Default retry time out, in ms, for a session not found in this store.
    `static String` | `DEFAULT_SESSION_MAP_NAME` | The default name used for the session map
    `static int` | `DEFAULT_SESSIONID_LENGTH` | Default length for a session id.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusteredSessionStore​(ClusteredSessionStore delegate)` |
    `ClusteredSessionStore​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClusteredSessionStore` | `create​(Vertx vertx)` | Create a session store
    `static ClusteredSessionStore` | `create​(Vertx vertx, long retryTimeout)` | Create a session store.
    `static ClusteredSessionStore` | `create​(Vertx vertx, String sessionMapName)` | Create a session store
    `static ClusteredSessionStore` | `create​(Vertx vertx, String sessionMapName, long retryTimeout)` | Create a session store.
    `boolean` | `equals​(Object o)` |
    `ClusteredSessionStore` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ClusteredSessionStore` | `newInstance​(ClusteredSessionStore arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.sstore.SessionStore

      `clear, close, create, createSession, createSession, delete, get, init, newInstance, put, retryTimeout, rxClear, rxDelete, rxGet, rxPut, rxSize, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ClusteredSessionStore> __TYPE_ARG

    - #### DEFAULT_SESSIONID_LENGTH

          public static final int DEFAULT_SESSIONID_LENGTH

      Default length for a session id. More info: https://www.owasp.org/index.php/Session_Management_Cheat_Sheet
      See Also:
        Constant Field Values

    - #### DEFAULT_SESSION_MAP_NAME

          public static final String DEFAULT_SESSION_MAP_NAME

      The default name used for the session map
      See Also:
        Constant Field Values

    - #### DEFAULT_RETRY_TIMEOUT

          public static final long DEFAULT_RETRY_TIMEOUT

      Default retry time out, in ms, for a session not found in this store.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusteredSessionStore

          public ClusteredSessionStore​(ClusteredSessionStore delegate)

    - #### ClusteredSessionStore

          public ClusteredSessionStore​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SessionStore`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `SessionStore`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SessionStore`

    - #### getDelegate

          public ClusteredSessionStore getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static ClusteredSessionStore create​(Vertx vertx,
                                                     String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create​(Vertx vertx,
                                                     String sessionMapName,
                                                     long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
        `retryTimeout` - the store retry timeout, in ms
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create​(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create​(Vertx vertx,
                                                     long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Parameters:
        `vertx` - the Vert.x instance
        `retryTimeout` - the store retry timeout, in ms
      Returns:
        the session store

    - #### newInstance

          public static ClusteredSessionStore newInstance​(ClusteredSessionStore arg)